package dev.fyloz.plannervio.core.model.view

import dev.fyloz.plannervio.core.model.Board
import tornadofx.ItemViewModel

class BoardViewModel(board: Board? = null) : ItemViewModel<Board>() {

    init {
        if (board != null) item = board
    }

    val id = bind(Board::idProperty)
    val name = bind(Board::nameProperty)
    val description = bind(Board::descriptionProperty)
    val backgroundImage = bind(Board::backgroundImageProperty)
}
